package javax.xml.ws.spi;

import javax.xml.ws.WebServiceFeature;
import java.lang.annotation.Documented;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

@Target({ ElementType.ANNOTATION_TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface WebServiceFeatureAnnotation {
    public abstract String id();
    
    public abstract Class<? extends WebServiceFeature> bean();
}
